> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beeze.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List competitors



## OpenAPI

````yaml /api/openapi.yaml get /ai-search/competitors
openapi: 3.1.0
info:
  title: Beeze API
  version: v1
  description: >
    External Beeze API for pricing intelligence, domain research, AI Search, and
    integrations.
servers:
  - url: https://api.beeze.io/v1
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: AI Search
    description: Results, visibility, sources, competitors, prompts, and tags
  - name: Domain research
    description: Pricing intelligence, backlinks, prospects, overview stats, and trends
  - name: Integrations
    description: Usage for connected third-party integrations
paths:
  /ai-search/competitors:
    get:
      tags:
        - AI Search
      summary: List competitors
      operationId: listAiSearchCompetitors
      parameters:
        - $ref: '#/components/parameters/Project'
      responses:
        '200':
          description: Competitor list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Competitor'
                required:
                  - data
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  parameters:
    Project:
      name: project
      in: query
      required: true
      schema:
        type: string
        minLength: 1
      description: >-
        Project identifier. Accepts project ID, slug, or name within the active
        workspace. If the project name is ambiguous in that workspace, use the
        project slug or project ID. Public project-scoped routes also require
        globally unique project names across workspaces.
  schemas:
    Competitor:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        competitorName:
          type:
            - string
            - 'null'
        displayName:
          type:
            - string
            - 'null'
        competitorDomain:
          type:
            - string
            - 'null'
        project:
          type:
            - string
            - 'null'
        isSuggested:
          type: boolean
        mentionCount:
          type:
            - number
            - 'null'
        color:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - name
        - isSuggested
        - createdAt
        - updatedAt
    Problem:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        requestId:
          type: string
        instance:
          type: string
      required:
        - status
        - detail
        - code
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: Missing plan access, feature access, or workspace access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for external Beeze API access

````